Bug 174898 - Review Request: perl-HTML-FillInForm
Review Request: perl-HTML-FillInForm
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis (ignored mailbox)
Fedora Package Reviews List
http://users.cwnet.com/~bkyoung/perl-...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-03 12:04 EST by bkyoung
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-19 18:37:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bkyoung 2005-12-03 12:04:25 EST
Spec Name or Url: http://users.cwnet.com/~bkyoung/perl-HTML-FillInForm/perl-HTML-FillInForm.spec
SRPM Name or Url: http://users.cwnet.com/~bkyoung/perl-HTML-FillInForm/perl-HTML-FillInForm-1.06-4.fc5.src.rpm
Description: CPAN module. Populates HTML Forms with data.
Comment 1 Michael A. Peters 2006-01-04 04:40:35 EST
Please change the URL to

http://search.cpan.org/dist/HTML-FillInForm/

Please change Source0 to

ftp://ftp.cpan.org/pub/CPAN/modules/by-module/HTML/HTML-FillInForm-%{version}.tar.gz

Requires:       perl-HTML-Parser
normall you want to change that to
Requires:       perl(HTML::Parser)
However - looking at the mock build.log - it seems that rpm picks that up
itself, so the explicit requires should just by removed.

Provides: perl(HTML::FillInForm) = 1.06
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(VersionedDependencies) <= 3.0.3-1
Requires: perl >= 0:5.005 perl(:MODULE_COMPAT_5.8.6) perl(Carp)
perl(HTML::Parser) >= 3.26 perl(integer) perl(strict) perl(vars) perl-HTML-Parser
Checking for unpackaged file(s): /usr/lib/rpm/check-files /var/tmp/perl-HTML-Fil
lInForm-1.06-4.fc4-root-mockbuild

rpmlint error on src.rpm:

[mpeters@jerusalem result]$ rpmlint *.rpm
W: perl-HTML-FillInForm strange-permission HTML-FillInForm-1.06.tar.gz 0600

You probably shour chmod 644 the src.tarball before building the src.rpm

-=-

* md5sum matches upstream
* mock build clean (tested in FC4)
* Appropriate License (GPL or Artistic) - matches tarball (as described in
README file)
* Written in American English
* specfile name matches package
* follows guidelines for naming of perl modules
* follows example spec file for perl modules
* proper and consistent use of macros
* No un-necessary BuildRequires
* cleanly installs / uninstalls (proper %files section)

Fix the issues noted and I'll approve.
Comment 2 bkyoung 2006-01-05 11:43:03 EST
>Please change the URL to
>http://search.cpan.org/dist/HTML-FillInForm/
Done.

>Please change Source0 to
>ftp://ftp.cpan.org/pub/CPAN/modules/by-module/HTML/HTML-FillInForm-%{version}.tar.gz
Done.

>Requires:       perl-HTML-Parser
>normall you want to change that to
>Requires:       perl(HTML::Parser)
>However - looking at the mock build.log - it seems that rpm picks that up
>itself, so the explicit requires should just by removed.
Removed.

>Provides: perl(HTML::FillInForm) = 1.06
>Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
>rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(VersionedDependencies) <= 3.0.3-1
>Requires: perl >= 0:5.005 perl(:MODULE_COMPAT_5.8.6) perl(Carp)
>perl(HTML::Parser) >= 3.26 perl(integer) perl(strict) perl(vars)
>perl-HTML-Parser
>Checking for unpackaged file(s): /usr/lib/rpm/check-files
>/var/tmp/perl-HTML-FillInForm-1.06-4.fc4-root-mockbuild

>rpmlint error on src.rpm:
>[mpeters@jerusalem result]$ rpmlint *.rpm
>W: perl-HTML-FillInForm strange-permission HTML-FillInForm-1.06.tar.gz 0600

>You probably shour chmod 644 the src.tarball before building the src.rpm
No problem, done.


perl-HTML-FillInForm-1.06-6.fc5.noarch.rpm
perl-HTML-FillInForm.spec
perl-HTML-FillInForm.spec.6

Thanks,
-Byron
Comment 3 bkyoung 2006-01-05 11:44:05 EST
>Please change the URL to
>http://search.cpan.org/dist/HTML-FillInForm/
Done.

>Please change Source0 to
>ftp://ftp.cpan.org/pub/CPAN/modules/by-module/HTML/HTML-FillInForm-%{version}.tar.gz
Done.

>Requires:       perl-HTML-Parser
>normall you want to change that to
>Requires:       perl(HTML::Parser)
>However - looking at the mock build.log - it seems that rpm picks that up
>itself, so the explicit requires should just by removed.
Removed.

>Provides: perl(HTML::FillInForm) = 1.06
>Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
>rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(VersionedDependencies) <= 3.0.3-1
>Requires: perl >= 0:5.005 perl(:MODULE_COMPAT_5.8.6) perl(Carp)
>perl(HTML::Parser) >= 3.26 perl(integer) perl(strict) perl(vars)
>perl-HTML-Parser
>Checking for unpackaged file(s): /usr/lib/rpm/check-files
>/var/tmp/perl-HTML-FillInForm-1.06-4.fc4-root-mockbuild

>rpmlint error on src.rpm:
>[mpeters@jerusalem result]$ rpmlint *.rpm
>W: perl-HTML-FillInForm strange-permission HTML-FillInForm-1.06.tar.gz 0600

>You probably shour chmod 644 the src.tarball before building the src.rpm
No problem, done.


perl-HTML-FillInForm-1.06-6.fc5.noarch.rpm
perl-HTML-FillInForm.spec
perl-HTML-FillInForm.spec.6

Thanks,
-Byron
Comment 4 Michael A. Peters 2006-01-08 02:37:40 EST
Approved
Comment 5 Christian Iseli 2006-03-28 10:20:52 EST
Any particular reason why this package is not yet imported and built ?
Comment 6 Michael A. Peters 2006-05-02 13:46:51 EDT
It's been almost 4 months now with no import.
I don't see you in the owners.list (with this e-mail anyway) so I'm going to
assume I took this bug by mistake (as in you need a sponsor, which I can't do).

Kicking back to FE-NEW

Note You need to log in before you can comment on or make changes to this bug.